Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPaintEngine.DirtyFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPaintEngine.DirtyFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPaintEngine

    public static final class QPaintEngine.DirtyFlag

extends java.lang.Enum
implements QtEnumerator

These types are used by `QPainter` to trigger lazy updates of the various states in the `QPaintEngine` using `QPaintEngine::updateState()`.

A paint engine must update every dirty state.

See Also:
  Serialized Form

Field Summary
`static QPaintEngine.DirtyFlag` | `AllDirty` Convenience enum used internally.
`static QPaintEngine.DirtyFlag` | `DirtyBackground` The background is dirty and needs to be updated.
`static QPaintEngine.DirtyFlag` | `DirtyBackgroundMode` The background mode is dirty and needs to be updated.
`static QPaintEngine.DirtyFlag` | `DirtyBrush` The brush is dirty and needs to be updated.
`static QPaintEngine.DirtyFlag` | `DirtyBrushOrigin` The brush origin is dirty and needs to updated.
`static QPaintEngine.DirtyFlag` | `DirtyClipEnabled` Whether clipping is enabled or not is dirty and needs to be updated.
`static QPaintEngine.DirtyFlag` | `DirtyClipPath` The clip path is dirty and needs to be updated.
`static QPaintEngine.DirtyFlag` | `DirtyClipRegion` The clip region is dirty and needs to be updated.
`static QPaintEngine.DirtyFlag` | `DirtyCompositionMode` The composition mode is dirty and needs to be updated.
`static QPaintEngine.DirtyFlag` | `DirtyFont` The font is dirty and needs to be updated.
`static QPaintEngine.DirtyFlag` | `DirtyHints` The render hints is dirty and needs to be updated.
`static QPaintEngine.DirtyFlag` | `DirtyOpacity` The constant opacity has changed and needs to be updated as part of the state change in `QPaintEngine::updateState()`.
`static QPaintEngine.DirtyFlag` | `DirtyPen` The pen is dirty and needs to be updated.
`static QPaintEngine.DirtyFlag` | `DirtyTransform` The transform is dirty and needs to be updated.

Method Summary
`static QPaintEngine.DirtyFlags` | `createQFlags(QPaintEngine.DirtyFlag[] values)` This function creates a com.trolltech.qt.gui.QPaintEngine$DirtyFlags with the specified `com.trolltech.qt.gui.QPaintEngine$DirtyFlag[]` QPaintEngine$DirtyFlag values set.
`static QPaintEngine.DirtyFlag` | `resolve(int value)` Returns the QPaintEngine$DirtyFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPaintEngine.DirtyFlag` | `valueOf(java.lang.String name)`
`static QPaintEngine.DirtyFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DirtyPen

    public static final QPaintEngine.DirtyFlag DirtyPen

  The pen is dirty and needs to be updated.

### DirtyBrush

    public static final QPaintEngine.DirtyFlag DirtyBrush

  The brush is dirty and needs to be updated.

### DirtyBrushOrigin

    public static final QPaintEngine.DirtyFlag DirtyBrushOrigin

  The brush origin is dirty and needs to updated.

### DirtyFont

    public static final QPaintEngine.DirtyFlag DirtyFont

  The font is dirty and needs to be updated.

### DirtyBackground

    public static final QPaintEngine.DirtyFlag DirtyBackground

  The background is dirty and needs to be updated.

### DirtyBackgroundMode

    public static final QPaintEngine.DirtyFlag DirtyBackgroundMode

  The background mode is dirty and needs to be updated.

### DirtyTransform

    public static final QPaintEngine.DirtyFlag DirtyTransform

  The transform is dirty and needs to be updated.

### DirtyClipRegion

    public static final QPaintEngine.DirtyFlag DirtyClipRegion

  The clip region is dirty and needs to be updated.

### DirtyClipPath

    public static final QPaintEngine.DirtyFlag DirtyClipPath

  The clip path is dirty and needs to be updated.

### DirtyHints

    public static final QPaintEngine.DirtyFlag DirtyHints

  The render hints is dirty and needs to be updated.

### DirtyCompositionMode

    public static final QPaintEngine.DirtyFlag DirtyCompositionMode

  The composition mode is dirty and needs to be updated.

### DirtyClipEnabled

    public static final QPaintEngine.DirtyFlag DirtyClipEnabled

  Whether clipping is enabled or not is dirty and needs to be updated.

### DirtyOpacity

    public static final QPaintEngine.DirtyFlag DirtyOpacity

  The constant opacity has changed and needs to be updated as part of the state change in `QPaintEngine::updateState()`.

### AllDirty

    public static final QPaintEngine.DirtyFlag AllDirty

  Convenience enum used internally.

Method Detail

### values

    public static QPaintEngine.DirtyFlag[] values()

### valueOf

    public static QPaintEngine.DirtyFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QPaintEngine.DirtyFlags createQFlags(QPaintEngine.DirtyFlag[] values)

  This function creates a com.trolltech.qt.gui.QPaintEngine$DirtyFlags with the specified `com.trolltech.qt.gui.QPaintEngine$DirtyFlag[]` QPaintEngine$DirtyFlag values set.

### resolve

    public static QPaintEngine.DirtyFlag resolve(int value)

  Returns the QPaintEngine$DirtyFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD